Create Asset

An asset refers to a media content/video that is processed, stored, and delivered through Gumlet. This endpoint creates an asset allowing users to ingest media content into the Gumlet system for processing and delivery.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

URL or web address of a file that Gumlet should download to create a new asset.

string
required

Gumlet video workspace id.

string

Provide profile_id of the previously created video profile. This parameter will override all the parameters (except input and collection_id) from the video profile.

string
enum
required

Transcode and deliver the asset in the requested format. The options can be one of ABR (HLS + DASH) andMP4.

Allowed:
string

Specify a text string or identifier which can identify an asset or bunch of assets later.

string

Specify a text string or identifier which can be used for filtering or searching the asset.

string

Attach some textual data with the asset. This field is neither searchable nor filterable.

json

Add your metadata you want to associate with this asset.
Example:
{ "internal_video_id" : "123Abc" }

string

Resize video with the given width. Can be an absolute value in pixels or a percentage value with the % suffix. Specified values greater than the original asset width will be ignored. Applicable only when specified format is MP4.

string

Resize video with the given height. Can be an absolute value in pixels or a percentage value with the % suffix. Specified values greater than the original asset height will be ignored. Applicable only when specified format is MP4.

string

Required resolutions of the transformed asset in case of HLS or MPEG-DASH delivery format. Can be a comma separated string out of the following values: 240p, 360p, 480p, 540p, 720p, and 1080p. Re-sized rendition will retain the input aspect ratio.

crop
object

This transformation can be used to crop the video by defining a rectangular area within the dimensions of the output video.

pad
object

This transformation can be used to add padding to the video.

trim
object

Trim transformation can be used to trim videos based on time duration.

image_overlay
object

Image overlay can be used to brand a video or add a visual label in the form of an image.

text_overlay
object

Text overlay can be used to brand a video or add a label in the form of text.

animated_gif
object

Create an animated GIF from the video.

additional_tracks
array of objects

Add additional Audio / Subtitle tracks to Gumlet for transcoding and delivery along with video asset track.

additional_tracks
generate_subtitles
object

Gumlet allows to generate subtitles from the audio stream (use ISO 639-1 Language Codes)

boolean

Creates MP4 version for download purpose in case of MPEG-DASH or HLS delivery format. Default: false

boolean

Gumlet analyzes each input video on a wide range of visual aspects. Based on the analysis, it chooses a unique set of transcoding options for processing the video. This ensures that the output video is of optimal size and best quality. Default: true

boolean

Currently, the minimum supported frame size is 57600 (240x240) pixels for HLS/DASH and 21025 (145x145) pixels for MP4 format. However, enabling this flag will allow Gumlet to simply put your video asset into the specified delivery format without transcoding and optimization. Enabling this flag will cause any kind of specified video transformation to be ignored if you input video asset frame size is lower than the minimum supported frame size for the specified format. Default: false

boolean

This flag allows Gumlet to transcode and deliver audio-only in the specified format. In this case, video transformation and thumbnails/animated GIFs would not be created. Default: false

boolean

Enable DRM encryption for transcoded videos. Gumlet supports Widevine and Fairplay DRMs.

call_to_actions
array of objects

CTA, is an explicit prompt within the video content encouraging viewers to take a particular action.

call_to_actions
string

Add this asset to a playlist.

string

Add this asset to an existing folder by folder_id.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json